sensorfw: HybrisStepCounterAdaptor Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
HybrisStepCounterAdaptor Class Reference

Adaptor for hybris step counter sensor. More...

`#include <hybrisstepcounteradaptor.h>`

Inheritance diagram for HybrisStepCounterAdaptor:

## Public Member Functions
| HybrisStepCounterAdaptor (const QString &id)
| ~HybrisStepCounterAdaptor ()
bool | startSensor ()
void | stopSensor ()
void | sendInitialData ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)

## Protected Member Functions
void | processSample (const sensors_event_t &data)
void | init ()

## Detailed Description

Adaptor for hybris step counter sensor.

Adaptor for step counter sensor.

Returns the number of steps taken by the user since the last reboot while activated. The value is returned as a uint64_t and is reset to zero only on a system reboot.

Definition at line 43 of file hybrisstepcounteradaptor.h.

## Constructor & Destructor Documentation

## ◆ HybrisStepCounterAdaptor()

HybrisStepCounterAdaptor::HybrisStepCounterAdaptor | ( | const QString & | id | ) |

## ◆ ~HybrisStepCounterAdaptor()

HybrisStepCounterAdaptor::~HybrisStepCounterAdaptor | ( |  | ) |

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor* HybrisStepCounterAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Definition at line 48 of file hybrisstepcounteradaptor.h.

## ◆ init()

void HybrisStepCounterAdaptor::init | ( |  | ) |
| protected

## ◆ processSample()

void HybrisStepCounterAdaptor::processSample | ( | const sensors_event_t & | data | ) |
| protected

## ◆ sendInitialData()

void HybrisStepCounterAdaptor::sendInitialData | ( |  | ) |

## ◆ startSensor()

bool HybrisStepCounterAdaptor::startSensor | ( |  | ) |

## ◆ stopSensor()

void HybrisStepCounterAdaptor::stopSensor | ( |  | ) |

The documentation for this class was generated from the following file:

- adaptors/hybrisstepcounteradaptor/hybrisstepcounteradaptor.h